Name:		mp3splt-gtk
Version:	0.7.3
Release:	%mkrel 3
Summary:	GTK utility to split MP3 and Ogg Files without decoding
#Source0:	http://ioalex.net/testing_downloads/snapshots/%%{rev}/%%{name}-%%{version}.tar.gz
Source0:	http://prdownloads.sourceforge.net/mp3splt/mp3splt-gtk-%{version}.tar.gz
Patch1:		mp3splt-gtk-0.7.0.932-fix_desktop_file.patch
Patch2:		mp3splt-gtk-0.7.2-fix-linking.patch
Patch3:		mp3splt-gtk-0.7.3-fix-str-fmt.patch
URL:		http://mp3splt.sourceforge.net
Group:		Sound/Utilities
License:	GPLv2+
BuildRequires:	gstreamer0.10-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libmp3splt-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	libpng-devel
BuildRequires:	audacious-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gnomeui2-devel
BuildRequires:	gettext-devel
BuildRequires:	shtool

%description
GTK utility to split mp3 and ogg files selecting a begin and an end time
position, without decoding. It is very useful to split large mp3/ogg
to make smaller files or to split entire albums to obtain original tracks.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi

#to fix configure
ln -s %{_bindir}/shtool build-aux/shtool

%configure2_5x \
	--disable-rpath \
	--disable-doxygen_doc \
	--enable-gtk3 \
	--enable-audacious
%make V=1

%install
%makeinstall_std

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--remove-category=Application \
	--dir=%{buildroot}%{_datadir}/applications/ \
		%{name}.desktop

%find_lang %{name} --with-gnome

#there's no automatic way to add .omf files to lang list
for omf in %{buildroot}%{_datadir}/omf/%{name}/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.3-3.mga3
+ Revision: 360391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.7.3-2.mga3
+ Revision: 336229
- changed group in line with new policy

* Sun Sep 02 2012 wally <wally> 0.7.3-1.mga3
+ Revision: 287398
- new version 0.7.3
- add a patch to fix str fmt
- clean .spec a bit

* Mon Jun 04 2012 wally <wally> 0.7.2-1.mga3
+ Revision: 254372
- new version 0.7.2
- add P2 to fix build

* Wed Nov 16 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 168308
- drop unneeded P2
- new version 0.7.1

* Fri Oct 14 2011 wally <wally> 0.7.0.934-1.mga2
+ Revision: 155215
- new snapshot

* Fri Oct 07 2011 wally <wally> 0.7.0.932-1.mga2
+ Revision: 152877
- new snapshot 0.7.0.932
- drop P0 and rediff P1
- add P2 to fix build with gtk3
- disable doc build
- fix summary and description
- imported package mp3splt-gtk

